[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# DefaultDBNavigatorButtons

Set with the default buttons displayed on a TDBNavigator control.

## Declaration

Source position: dbctrls.pp line 1344

`const DefaultDBNavigatorButtons = [nbFirst, nbPrior, nbNext, nbLast, nbInsert, nbDelete, nbEdit, nbPost, nbCancel, nbRefresh];`

## Description

DefaultDBNavigatorButtons is an array constant which contains the default buttons available in a database navigation control. DefaultDBNavigatorButtons contain values from the TDBNavButtonType enumeration in the order they are displayed on a TDBCustomNavigator control.

DefaultDBNavigatorButtons is used as the default value for the VisibleButtons property in TDBCustomNavigator.

## See also

TDBCustomNavigator.VisibleButtons |  | The set of visible buttons (some of them can be suppressed if their function appears redundant).